package com.lightinit.hsdataplatform.mapper;

import com.lightinit.hsdataplatform.entity.Roadshow;
import com.lightinit.hsdataplatform.entity.RoadshowExample;
import com.lightinit.hsdataplatform.entity.RoadshowWithBLOBs;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface RoadshowMapper {
    long countByExample(RoadshowExample example);

    int deleteByExample(RoadshowExample example);

    int deleteByPrimaryKey(Long id);

    int insert(RoadshowWithBLOBs record);

    int insertSelective(RoadshowWithBLOBs record);

    List<RoadshowWithBLOBs> selectByExampleWithBLOBs(RoadshowExample example);

    List<Roadshow> selectByExample(RoadshowExample example);

    RoadshowWithBLOBs selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") RoadshowWithBLOBs record, @Param("example") RoadshowExample example);

    int updateByExampleWithBLOBs(@Param("record") RoadshowWithBLOBs record, @Param("example") RoadshowExample example);

    int updateByExample(@Param("record") Roadshow record, @Param("example") RoadshowExample example);

    int updateByPrimaryKeySelective(RoadshowWithBLOBs record);

    int updateByPrimaryKeyWithBLOBs(RoadshowWithBLOBs record);

    int updateByPrimaryKey(Roadshow record);
}